> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export data source (flat interface)



## OpenAPI

````yaml /api-reference/membrane-api.json get /data-sources/{selector}/export
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /data-sources/{selector}/export:
    get:
      tags:
        - DataSources
      summary: Export data source (flat interface)
      operationId: exportDataSource
      parameters:
        - name: selector
          required: true
          in: path
          schema:
            type: string
        - name: layer
          required: false
          in: query
          schema:
            type: string
            enum:
              - universal
              - integration
              - connection
        - name: integrationKey
          required: false
          in: query
          schema:
            type: string
        - name: integrationId
          required: false
          in: query
          schema:
            type: string
        - name: connectionId
          required: false
          in: query
          schema:
            type: string
        - name: connectionKey
          required: false
          in: query
          schema:
            type: string
        - name: instanceKey
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSourceExportProperties'
components:
  schemas:
    DataSourceExportProperties:
      type: object
      properties:
        uuid:
          description: >-
            Stable unique identifier (UUID). Can be provided on create;
            otherwise generated. Must be unique across elements of this type.
          type: string
        key:
          description: >-
            Stable key for referencing the element (e.g. in selectors). Unique
            per (parent, integration) scope. Generated from name if not provided
            on create.
          type: string
        name:
          description: >-
            Display name. Optional on create; used to generate key when key is
            omitted.
          type: string
        description:
          description: Optional human-readable description.
          type: string
        meta:
          description: Optional key-value metadata.
          type: object
          additionalProperties:
            type: object
        integrationUuid:
          type: string
        parentUuid:
          type: string
        externalAppUuid:
          type: string
        isCustomized:
          type: boolean
        isUniversal:
          type: boolean
        instanceKey:
          type: string
        udm:
          type: string
        pullUpdatesIntervalSeconds:
          type: number
        fullSyncIntervalSeconds:
          type: number
        collectionKey:
          type: string
        collectionParameters:
          type: object
        path:
          deprecated: true
          type: string
        defaultPath:
          deprecated: true
          type: string
      required:
        - uuid
        - key
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````